/**
 * Test case for define.
 * Runs with mocha.
 */
"use strict";

const define = require('../lib/define.js'),
    assert = require('assert'),
    ApThemeStyle = require('apeman-react-theme')['ApThemeStyle'];

describe('define', () => {

    function noop() {
    }

    before((done) => {
        done();
    });

    after((done) => {
        done();
    });

    it('Define', (done) => {
        let dest = __dirname + '/../tmp/testing-style.css';
        let task = define(ApThemeStyle, dest, {});
        assert.ok(task);
        let context = {
            verbose: false,
            logger: {
                info: noop,
                debug: noop,
                trace: noop
            }
        };
        task(context, (err) => {
            assert.ifError(err);
            done();
        });
    });

    it('Define with invalid src', (done) => {
        let dest = __dirname + '/../tmp/testing-style.css';
        let task = define('--invalid-src---', dest, {});
        assert.ok(task);
        let context = {
            verbose: false,
            logger: {
                info: noop,
                debug: noop,
                warn: console.log,
                trace: noop
            }
        };
        task(context, (err) => {
            assert.ifError(err);
            done();
        });
    });
});

